Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
ezpOauthFilter Class Reference
Inheritance diagram for ezpOauthFilter:

## Public Member Functions
| run ( $credentials)

## Public Attributes
const | STATUS_TOKEN_INVALID = 1
const | STATUS_TOKEN_EXPIRED = 2
const | STATUS_TOKEN_INSUFFICIENT_SCOPE = 3
const | STATUS_TOKEN_UNAVAILABLE = 4

## Static Public Attributes
static | $tokenInfo

## Detailed Description

Definition at line 12 of file oauth_filter.php.

## Member Function Documentation

## ◆ run()

ezpOauthFilter::run | ( |  | $credentials | ) |

Definition at line 26 of file oauth_filter.php.

References $status, $tokenInfo, ezpRestToken\fetch(), STATUS_TOKEN_EXPIRED, STATUS_TOKEN_INVALID, and STATUS_TOKEN_UNAVAILABLE.

## Member Data Documentation

## ◆ $tokenInfo

ezpOauthFilter::$tokenInfo
| static

Definition at line 23 of file oauth_filter.php.

Referenced by ezpRestOauthAuthenticationStyle\authenticate(), and run().

## ◆ STATUS_TOKEN_EXPIRED

const ezpOauthFilter::STATUS_TOKEN_EXPIRED = 2

Definition at line 15 of file oauth_filter.php.

Referenced by ezpRestAuthController\doOauthRequired(), ezpRestOauthAuthenticationStyle\processLoginRequired(), and run().

## ◆ STATUS_TOKEN_INSUFFICIENT_SCOPE

const ezpOauthFilter::STATUS_TOKEN_INSUFFICIENT_SCOPE = 3

Definition at line 16 of file oauth_filter.php.

Referenced by ezpRestAuthController\doOauthRequired(), and ezpRestOauthAuthenticationStyle\processLoginRequired().

## ◆ STATUS_TOKEN_INVALID

const ezpOauthFilter::STATUS_TOKEN_INVALID = 1

Definition at line 14 of file oauth_filter.php.

Referenced by ezpRestAuthController\doOauthRequired(), ezpRestOauthAuthenticationStyle\processLoginRequired(), and run().

## ◆ STATUS_TOKEN_UNAVAILABLE

const ezpOauthFilter::STATUS_TOKEN_UNAVAILABLE = 4

Definition at line 17 of file oauth_filter.php.

Referenced by ezpRestAuthController\doOauthRequired(), and run().

The documentation for this class was generated from the following file:

- oauth_filter.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.